Subject: Re: [PATCH] Marvell Libertas 8388 802.11b/g USB driver (v2)

From: Marcelo Tosatti <[email-masked]>
Date: Tue, 6 Feb 2007 20:42:07 -0200

On Sat, Feb 03, 2007 at 08:43:49PM -0200, Marcelo Tosatti wrote:
> Hi Arnd,

> > Most of these are unused as well, I guess it would be good
> > to go through the whole list and see what can be removed.
> 
> Done. Will go through the entire file list before posting the next
> patch.

Done.

> > Did you run the file through a recent sparse successfully?
> 
> Spits a bunch of warnings, looking at them.

Fixed sparse warnings.

> > The printk and dprintk statements should probably be converted
> > to dev_info/dev_dbg/... standard macros, or something derived
> > from that.

Done.

> > 
> > > +void if_usb_free(struct usb_card_rec *cardp)
> > > +{
> > > +	ENTER();
> > 
> > Do you find the ENTER() and LEAVE() macros really useful?
> > usually, you're better off taking them out...
> 
> Yes, for instance the bug reported at http://dev.laptop.org/ticket/841
> could be verified by checking the log file (by confirming that certain
> states were true/false).
> 
> However, only a few such macros, on key functions, are required. I'll go
> over and remove the unneeded ones.

Removed a bunch of ENTER/LEAVE macro calls.